Core - Task # 40962

Status: Resolved Priority: Should have

Author: Arvid Jakobsson Category: Code Cleanup

Created: 2012-09-16 Assigned To: Arvid Jakobsson

Updated: 2012-09-16 Due date:

TYPO3 Version: 6.0

PHP Version:

Complexity:

Sprint Focus:

Subject: Superfluous brackets in sysexts "aboutmodules”, "adodb", "belog" and "beuser" after namespaces move

Description

The following syntax appears in various parts of these extensions:

- if ((('$root && 1$DBmount) && $elFromTable) && $GLOBALS['TCA'[$table]['ctrl']['sortby']) {
+ if (I$root && !1$DBmount && $elFromTable && $GLOBALS[' TCA"[$table]['ctrl']['sortby") {

Related issues:
related to Core - Bug # 40113: Superfluous brackets in functions after namesp... Closed

2012-08-24

Associated revisions

Revision 1e4ae82b - 2012-09-16 21:53 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in sysexts.

Removes superfluous parenthesis in sysexts "aboutmodules”, "adodb",
"belog" and "beuser".

Change ("a"."b") . "c"into "a" . "b" . "c" using the lex-pass tool.

Change-Id: 126f72a6d5e18617a0838e64068817e4fd7c1c90e
Resolves: #40962

Related: #40095

Reviewed-on: http://review.typo3.org/14620

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

History

#1 - 2012-09-16 19:59 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14620

#2 - 2012-09-16 22:18 - Gerrit Code Review

2015-08-04
http://review.typo3.org/14620
http://review.typo3.org/14620

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/14627

#3 - 2012-09-16 22:30 - Arvid Jakobsson
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:1e4ae82b61f7{3534f76136ff38eaedbbd7adae5.
